Package com.scriptel.proscript.input

## Class ButtonEvent

- java.lang.Object
- - com.scriptel.proscript.input.ButtonEvent

- Direct Known Subclasses:
    `ButtonDown`, `ButtonMove`, `ButtonPress`, `ButtonUp`

      public abstract class ButtonEvent
      extends java.lang.Object

  This class represents an abstract button event.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ButtonEvent​(int x, int y, int region)` | Protected constructor, used by child classes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getRegion()` | Gets the region number of the affected button.
    `int` | `getX()` | Gets the x coordinate.
    `int` | `getY()` | Gets the y coordinate.
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ButtonEvent

          protected ButtonEvent​(int x,
                                int y,
                                int region)

      Protected constructor, used by child classes.
      Parameters:
        `x` - X coordinate.
        `y` - Y Coordinate.
        `region` - Region number of affected button.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getX

          public int getX()

      Gets the x coordinate.
      Returns:
        the x

    - #### getY

          public int getY()

      Gets the y coordinate.
      Returns:
        the y

    - #### getRegion

          public int getRegion()

      Gets the region number of the affected button.
      Returns:
        the region